Index: /devel/5.X/log.h
===================================================================
--- /devel/5.X/log.h	(revision 334)
+++ /devel/5.X/log.h	(revision 335)
@@ -151,5 +151,5 @@
 typedef enum getter_setter SGetter;
 
-// HvB extern int LOGLEVEL;
+// extern int LOGLEVEL;
 
 extern long *log_event_mask;
Index: /devel/5.X/pbs.i
===================================================================
--- /devel/5.X/pbs.i	(revision 334)
+++ /devel/5.X/pbs.i	(revision 335)
@@ -23,7 +23,5 @@
 #include "log.h"
 
-#define SARA_DEBUG 1
-
-//extern int pbs_errno;
+#define SARA_DEBUG 0
 
 %}
@@ -44,7 +42,5 @@
   int                   i=0, size=0;
 
-  // printf("Python --> C\n");
-
-  if (SARA_DEBUG) printf("Converteren python -> c (struct batch_status *):\n");
+  if (SARA_DEBUG) printf("Convert python -> c (struct batch_status *):\n");
 
   size = Get_List_Size($input);
@@ -104,5 +100,5 @@
   // printf("Python --> C\n");
 
-  if (SARA_DEBUG) printf("Converteren python -> c (struct attrl *):\n");
+  if (SARA_DEBUG) printf("Convert python -> c (struct attrl *):\n");
 
   size = Get_List_Size($input);
@@ -125,5 +121,5 @@
       return NULL;
 
-      // This will skipp the wrong entry
+      // This will skip the wrong entry
       // continue;
     }
@@ -145,4 +141,5 @@
 
   } // end for
+
   if (SARA_DEBUG) printf("\t</Contents>\n");
 } // end struct attrl *IN typemap
@@ -159,5 +156,5 @@
   // printf("Python --> C\n");
 
-  if (SARA_DEBUG) printf("Converteren python -> c (struct attropl *):\n");
+  if (SARA_DEBUG) printf("Convert python -> c (struct attropl *):\n");
 
   size = Get_List_Size($input);
@@ -244,13 +241,13 @@
 
   PyObject              *obj_batch;
-  struct batch_status   *ptr;
+  struct batch_status   *ptr, *org;
   int                   i=0, len=0;
 
-  // printf("Ja we are in bussniss\n");
-  if (SARA_DEBUG) printf("Converteren c (struct batch_status *) -> python:\n");
+  if (SARA_DEBUG) printf("Convert c (struct batch_status *) -> python:\n");
  
   // Deterime length of list
   //
-  ptr = $1;
+  org = $1;
+  ptr = org;
   while (ptr != NULL) {
     len++;
@@ -274,5 +271,4 @@
   }
 
-  free(ptr);
   if (SARA_DEBUG) printf("\t</Contents>\n");
 } // end typemap struct batch_status *
@@ -283,5 +279,5 @@
   int           i=0, len=0;
 
-  if (SARA_DEBUG) printf("Converteren c (struct attrl *) -> python:\n");
+  if (SARA_DEBUG) printf("Convert c (struct attrl *) -> python:\n");
 
   ptr = $1;
@@ -302,6 +298,4 @@
     ptr = ptr->next;
   }
-
-  free(ptr);
   if (SARA_DEBUG) printf("\t</Contents>\n");
 } // end typemap struct attrl *
@@ -312,5 +306,5 @@
   int               i=0, len=0;
 
-  if (SARA_DEBUG) printf("Converteren c (struct attropl *) -> python:\n");
+  if (SARA_DEBUG) printf("Convert c (struct attropl *) -> python:\n");
   
   ptr = $1;
@@ -330,5 +324,4 @@
   }
 
-  free(ptr);
   if (SARA_DEBUG) printf("\t</Contents>\n");
 } // end typemap struct attropl *
@@ -340,5 +333,5 @@
 
    if (SARA_DEBUG) 
-     printf("Converteren char ** -> python list\n");
+     printf("Convert char ** -> python list\n");
 
 
@@ -513,24 +506,10 @@
 //
 %nodefault;
-// %include "pbs_python.h"
+
+
 %include "pbs_ifl.h"
 %include "rm.h"
 %include "log.h"
 %include "pbs_error.h"
-
-
-// Iets van uhhh..... obsolete
-// %ignore pbs_errno;
-//%include <pbs_error.h>
-
-
-/*
-%feature("shadow") attrl::__str__ {
-  def __str__(self): print self.name + self.value;
-}
-%extend attrl {
-  void __str__();
-}
-*/
 
 /* not used
@@ -561,7 +540,5 @@
        printf("Bas free attrl\n");
 
-    /*
-  	free(self);
-    */
+    // free(self);
   }
 }
@@ -584,7 +561,5 @@
        printf("Bas free attropl\n");
 
-    /*
-  	free(self);
-    */
+    // free(self);
   }
 }
Index: /devel/5.X/pbs.py
===================================================================
--- /devel/5.X/pbs.py	(revision 334)
+++ /devel/5.X/pbs.py	(revision 335)
@@ -941,15 +941,7 @@
   """
   err = 0
-  print default_mom_res
   for res in default_mom_res:
-    print res
-    #addreq(id, res)
-    addreq_err(id, err, res) 
-    print err
-    #resp = getreq(id)
-    resp = getreq_err(err, id)
-    print "error: ", err
-
-    print resp,id
+    addreq(id, res)
+    resp = getreq(id)
     check_resp(d, resp)
 
Index: /devel/5.X/pbs_node_info
===================================================================
--- /devel/5.X/pbs_node_info	(revision 334)
+++ /devel/5.X/pbs_node_info	(revision 335)
@@ -28,8 +28,5 @@
 #      mom_id = pbs.openrm(node.name, pbs.PBS_MANAGER_SERVICE_PORT)
 
-    err = 0
-    #mom_id = pbs.openrm(node.name, pbs.PBS_MANAGER_SERVICE_PORT)
-    mom_id = pbs.openrm("localhost", 15003)
-    print mom_id
+    mom_id = pbs.openrm(node.name, pbs.PBS_MANAGER_SERVICE_PORT)
     e, e_txt = pbs.error()
     print "openrm", e, e_txt
@@ -41,5 +38,5 @@
 
     #pbs.addreq_err(mom_id, err, "arch")
-    pbs.addreq(mom_id, "larch")
+    pbs.addreq(mom_id, "arch")
     e, e_txt = pbs.error()
     print "addreq:", e, e_txt
@@ -53,7 +50,5 @@
     e, e_txt = pbs.error()
     print e, e_txt
-    print err, resp
 
-    sys.exit(1)
     print 'rm interface'
 
Index: /devel/5.X/pbs_wrap.c
===================================================================
--- /devel/5.X/pbs_wrap.c	(revision 334)
+++ /devel/5.X/pbs_wrap.c	(revision 335)
@@ -2979,7 +2979,5 @@
 #include "log.h"
 
-#define SARA_DEBUG 1
-
-//extern int pbs_errno;
+#define SARA_DEBUG 0
 
 
@@ -3458,7 +3456,5 @@
        printf("Bas free attrl\n");
 
-    /*
-  	free(self);
-    */
+    // free(self);
   }
 SWIGINTERN char *attropl___str__(struct attropl *self){
@@ -3473,7 +3469,5 @@
        printf("Bas free attropl\n");
 
-    /*
-  	free(self);
-    */
+    // free(self);
   }
 
@@ -3547,5 +3541,5 @@
     int           i=0, len=0;
     
-    if (SARA_DEBUG) printf("Converteren c (struct attrl *) -> python:\n");
+    if (SARA_DEBUG) printf("Convert c (struct attrl *) -> python:\n");
     
     ptr = result;
@@ -3566,6 +3560,4 @@
       ptr = ptr->next;
     }
-    
-    free(ptr);
     if (SARA_DEBUG) printf("\t</Contents>\n");
   }
@@ -3596,5 +3588,5 @@
     int               i=0, len=0;
     
-    if (SARA_DEBUG) printf("Converteren c (struct attropl *) -> python:\n");
+    if (SARA_DEBUG) printf("Convert c (struct attropl *) -> python:\n");
     
     ptr = result;
@@ -3614,5 +3606,4 @@
     }
     
-    free(ptr);
     if (SARA_DEBUG) printf("\t</Contents>\n");
   }
@@ -3631,13 +3622,13 @@
   {
     PyObject              *obj_batch;
-    struct batch_status   *ptr;
+    struct batch_status   *ptr, *org;
     int                   i=0, len=0;
     
-    // printf("Ja we are in bussniss\n");
-    if (SARA_DEBUG) printf("Converteren c (struct batch_status *) -> python:\n");
+    if (SARA_DEBUG) printf("Convert c (struct batch_status *) -> python:\n");
     
     // Deterime length of list
     //
-    ptr = result;
+    org = result;
+    ptr = org;
     while (ptr != NULL) {
       len++;
@@ -3661,5 +3652,4 @@
     }
     
-    free(ptr);
     if (SARA_DEBUG) printf("\t</Contents>\n");
   }
@@ -3822,5 +3812,5 @@
     int           i=0, len=0;
     
-    if (SARA_DEBUG) printf("Converteren c (struct attrl *) -> python:\n");
+    if (SARA_DEBUG) printf("Convert c (struct attrl *) -> python:\n");
     
     ptr = result;
@@ -3841,6 +3831,4 @@
       ptr = ptr->next;
     }
-    
-    free(ptr);
     if (SARA_DEBUG) printf("\t</Contents>\n");
   }
@@ -3930,5 +3918,5 @@
     int           i=0, len=0;
     
-    if (SARA_DEBUG) printf("Converteren c (struct attrl *) -> python:\n");
+    if (SARA_DEBUG) printf("Convert c (struct attrl *) -> python:\n");
     
     ptr = result;
@@ -3949,6 +3937,4 @@
       ptr = ptr->next;
     }
-    
-    free(ptr);
     if (SARA_DEBUG) printf("\t</Contents>\n");
   }
@@ -4294,5 +4280,5 @@
     int               i=0, len=0;
     
-    if (SARA_DEBUG) printf("Converteren c (struct attropl *) -> python:\n");
+    if (SARA_DEBUG) printf("Convert c (struct attropl *) -> python:\n");
     
     ptr = result;
@@ -4312,5 +4298,4 @@
     }
     
-    free(ptr);
     if (SARA_DEBUG) printf("\t</Contents>\n");
   }
@@ -4653,13 +4638,13 @@
   {
     PyObject              *obj_batch;
-    struct batch_status   *ptr;
+    struct batch_status   *ptr, *org;
     int                   i=0, len=0;
     
-    // printf("Ja we are in bussniss\n");
-    if (SARA_DEBUG) printf("Converteren c (struct batch_status *) -> python:\n");
+    if (SARA_DEBUG) printf("Convert c (struct batch_status *) -> python:\n");
     
     // Deterime length of list
     //
-    ptr = result;
+    org = result;
+    ptr = org;
     while (ptr != NULL) {
       len++;
@@ -4683,5 +4668,4 @@
     }
     
-    free(ptr);
     if (SARA_DEBUG) printf("\t</Contents>\n");
   }
@@ -4803,5 +4787,5 @@
     int           i=0, len=0;
     
-    if (SARA_DEBUG) printf("Converteren c (struct attrl *) -> python:\n");
+    if (SARA_DEBUG) printf("Convert c (struct attrl *) -> python:\n");
     
     ptr = result;
@@ -4822,6 +4806,4 @@
       ptr = ptr->next;
     }
-    
-    free(ptr);
     if (SARA_DEBUG) printf("\t</Contents>\n");
   }
@@ -5059,5 +5041,5 @@
     // printf("Python --> C\n");
     
-    if (SARA_DEBUG) printf("Converteren python -> c (struct attrl *):\n");
+    if (SARA_DEBUG) printf("Convert python -> c (struct attrl *):\n");
     
     size = Get_List_Size(obj2);
@@ -5079,5 +5061,5 @@
         return NULL;
         
-        // This will skipp the wrong entry
+        // This will skip the wrong entry
         // continue;
       }
@@ -5099,4 +5081,5 @@
       
     } // end for
+    
     if (SARA_DEBUG) printf("\t</Contents>\n");
   }
@@ -5157,5 +5140,5 @@
     // printf("Python --> C\n");
     
-    if (SARA_DEBUG) printf("Converteren python -> c (struct attrl *):\n");
+    if (SARA_DEBUG) printf("Convert python -> c (struct attrl *):\n");
     
     size = Get_List_Size(obj2);
@@ -5177,5 +5160,5 @@
         return NULL;
         
-        // This will skipp the wrong entry
+        // This will skip the wrong entry
         // continue;
       }
@@ -5197,4 +5180,5 @@
       
     } // end for
+    
     if (SARA_DEBUG) printf("\t</Contents>\n");
   }
@@ -5590,5 +5574,5 @@
     // printf("Python --> C\n");
     
-    if (SARA_DEBUG) printf("Converteren python -> c (struct attropl *):\n");
+    if (SARA_DEBUG) printf("Convert python -> c (struct attropl *):\n");
     
     size = Get_List_Size(obj4);
@@ -6200,5 +6184,5 @@
     
     if (SARA_DEBUG) 
-    printf("Converteren char ** -> python list\n");
+    printf("Convert char ** -> python list\n");
     
     
@@ -6361,7 +6345,5 @@
     int                   i=0, size=0;
     
-    // printf("Python --> C\n");
-    
-    if (SARA_DEBUG) printf("Converteren python -> c (struct batch_status *):\n");
+    if (SARA_DEBUG) printf("Convert python -> c (struct batch_status *):\n");
     
     size = Get_List_Size(obj0);
@@ -6454,5 +6436,5 @@
     // printf("Python --> C\n");
     
-    if (SARA_DEBUG) printf("Converteren python -> c (struct attrl *):\n");
+    if (SARA_DEBUG) printf("Convert python -> c (struct attrl *):\n");
     
     size = Get_List_Size(obj2);
@@ -6474,5 +6456,5 @@
         return NULL;
         
-        // This will skipp the wrong entry
+        // This will skip the wrong entry
         // continue;
       }
@@ -6494,4 +6476,5 @@
       
     } // end for
+    
     if (SARA_DEBUG) printf("\t</Contents>\n");
   }
@@ -6504,13 +6487,13 @@
   {
     PyObject              *obj_batch;
-    struct batch_status   *ptr;
+    struct batch_status   *ptr, *org;
     int                   i=0, len=0;
     
-    // printf("Ja we are in bussniss\n");
-    if (SARA_DEBUG) printf("Converteren c (struct batch_status *) -> python:\n");
+    if (SARA_DEBUG) printf("Convert c (struct batch_status *) -> python:\n");
     
     // Deterime length of list
     //
-    ptr = result;
+    org = result;
+    ptr = org;
     while (ptr != NULL) {
       len++;
@@ -6534,5 +6517,4 @@
     }
     
-    free(ptr);
     if (SARA_DEBUG) printf("\t</Contents>\n");
   }
@@ -6583,13 +6565,13 @@
   {
     PyObject              *obj_batch;
-    struct batch_status   *ptr;
+    struct batch_status   *ptr, *org;
     int                   i=0, len=0;
     
-    // printf("Ja we are in bussniss\n");
-    if (SARA_DEBUG) printf("Converteren c (struct batch_status *) -> python:\n");
+    if (SARA_DEBUG) printf("Convert c (struct batch_status *) -> python:\n");
     
     // Deterime length of list
     //
-    ptr = result;
+    org = result;
+    ptr = org;
     while (ptr != NULL) {
       len++;
@@ -6613,5 +6595,4 @@
     }
     
-    free(ptr);
     if (SARA_DEBUG) printf("\t</Contents>\n");
   }
@@ -6663,5 +6644,5 @@
     // printf("Python --> C\n");
     
-    if (SARA_DEBUG) printf("Converteren python -> c (struct attrl *):\n");
+    if (SARA_DEBUG) printf("Convert python -> c (struct attrl *):\n");
     
     size = Get_List_Size(obj2);
@@ -6683,5 +6664,5 @@
         return NULL;
         
-        // This will skipp the wrong entry
+        // This will skip the wrong entry
         // continue;
       }
@@ -6703,4 +6684,5 @@
       
     } // end for
+    
     if (SARA_DEBUG) printf("\t</Contents>\n");
   }
@@ -6713,13 +6695,13 @@
   {
     PyObject              *obj_batch;
-    struct batch_status   *ptr;
+    struct batch_status   *ptr, *org;
     int                   i=0, len=0;
     
-    // printf("Ja we are in bussniss\n");
-    if (SARA_DEBUG) printf("Converteren c (struct batch_status *) -> python:\n");
+    if (SARA_DEBUG) printf("Convert c (struct batch_status *) -> python:\n");
     
     // Deterime length of list
     //
-    ptr = result;
+    org = result;
+    ptr = org;
     while (ptr != NULL) {
       len++;
@@ -6743,5 +6725,4 @@
     }
     
-    free(ptr);
     if (SARA_DEBUG) printf("\t</Contents>\n");
   }
@@ -6785,5 +6766,5 @@
     // printf("Python --> C\n");
     
-    if (SARA_DEBUG) printf("Converteren python -> c (struct attrl *):\n");
+    if (SARA_DEBUG) printf("Convert python -> c (struct attrl *):\n");
     
     size = Get_List_Size(obj1);
@@ -6805,5 +6786,5 @@
         return NULL;
         
-        // This will skipp the wrong entry
+        // This will skip the wrong entry
         // continue;
       }
@@ -6825,4 +6806,5 @@
       
     } // end for
+    
     if (SARA_DEBUG) printf("\t</Contents>\n");
   }
@@ -6835,13 +6817,13 @@
   {
     PyObject              *obj_batch;
-    struct batch_status   *ptr;
+    struct batch_status   *ptr, *org;
     int                   i=0, len=0;
     
-    // printf("Ja we are in bussniss\n");
-    if (SARA_DEBUG) printf("Converteren c (struct batch_status *) -> python:\n");
+    if (SARA_DEBUG) printf("Convert c (struct batch_status *) -> python:\n");
     
     // Deterime length of list
     //
-    ptr = result;
+    org = result;
+    ptr = org;
     while (ptr != NULL) {
       len++;
@@ -6865,5 +6847,4 @@
     }
     
-    free(ptr);
     if (SARA_DEBUG) printf("\t</Contents>\n");
   }
@@ -6915,5 +6896,5 @@
     // printf("Python --> C\n");
     
-    if (SARA_DEBUG) printf("Converteren python -> c (struct attrl *):\n");
+    if (SARA_DEBUG) printf("Convert python -> c (struct attrl *):\n");
     
     size = Get_List_Size(obj2);
@@ -6935,5 +6916,5 @@
         return NULL;
         
-        // This will skipp the wrong entry
+        // This will skip the wrong entry
         // continue;
       }
@@ -6955,4 +6936,5 @@
       
     } // end for
+    
     if (SARA_DEBUG) printf("\t</Contents>\n");
   }
@@ -6965,13 +6947,13 @@
   {
     PyObject              *obj_batch;
-    struct batch_status   *ptr;
+    struct batch_status   *ptr, *org;
     int                   i=0, len=0;
     
-    // printf("Ja we are in bussniss\n");
-    if (SARA_DEBUG) printf("Converteren c (struct batch_status *) -> python:\n");
+    if (SARA_DEBUG) printf("Convert c (struct batch_status *) -> python:\n");
     
     // Deterime length of list
     //
-    ptr = result;
+    org = result;
+    ptr = org;
     while (ptr != NULL) {
       len++;
@@ -6995,5 +6977,4 @@
     }
     
-    free(ptr);
     if (SARA_DEBUG) printf("\t</Contents>\n");
   }
@@ -7047,5 +7028,5 @@
     // printf("Python --> C\n");
     
-    if (SARA_DEBUG) printf("Converteren python -> c (struct attropl *):\n");
+    if (SARA_DEBUG) printf("Convert python -> c (struct attropl *):\n");
     
     size = Get_List_Size(obj1);
@@ -7653,5 +7634,5 @@
   int val1 ;
   int ecode1 = 0 ;
-  int temp2 ;
+  void *argp2 = 0 ;
   int res2 = 0 ;
   int res3 ;
@@ -7669,14 +7650,9 @@
   } 
   arg1 = (int)(val1);
-  if (!(SWIG_IsOK((res2 = SWIG_ConvertPtr(obj1,SWIG_as_voidptrptr(&arg2),SWIGTYPE_p_int,0))))) {
-    int val; 
-    int ecode = SWIG_AsVal_int(obj1, &val);
-    if (!SWIG_IsOK(ecode)) {
-      SWIG_exception_fail(SWIG_ArgError(ecode), "in method '" "addreq_err" "', argument " "2"" of type '" "int""'");
-    }
-    temp2 = (int)(val);
-    arg2 = &temp2;
-    res2 = SWIG_AddTmpMask(ecode);
-  }
+  res2 = SWIG_ConvertPtr(obj1, &argp2,SWIGTYPE_p_int, 0 |  0 );
+  if (!SWIG_IsOK(res2)) {
+    SWIG_exception_fail(SWIG_ArgError(res2), "in method '" "addreq_err" "', argument " "2"" of type '" "int *""'"); 
+  }
+  arg2 = (int *)(argp2);
   res3 = SWIG_AsCharPtrAndSize(obj2, &buf3, NULL, &alloc3);
   if (!SWIG_IsOK(res3)) {
@@ -7686,10 +7662,4 @@
   result = (int)addreq_err(arg1,arg2,arg3);
   resultobj = SWIG_From_int((int)(result));
-  if (SWIG_IsTmpObj(res2)) {
-    resultobj = SWIG_Python_AppendOutput(resultobj, SWIG_From_int((*arg2)));
-  } else {
-    int new_flags = SWIG_IsNewObj(res2) ? (SWIG_POINTER_OWN |  0 ) :  0 ;
-    resultobj = SWIG_Python_AppendOutput(resultobj, SWIG_NewPointerObj((void*)(arg2), SWIGTYPE_p_int, new_flags));
-  }
   if (alloc3 == SWIG_NEWOBJ) free((char*)buf3);
   return resultobj;
@@ -7803,5 +7773,5 @@
   int *arg1 = (int *) 0 ;
   int arg2 ;
-  int temp1 ;
+  void *argp1 = 0 ;
   int res1 = 0 ;
   int val2 ;
@@ -7812,14 +7782,9 @@
   
   if (!PyArg_ParseTuple(args,(char *)"OO:getreq_err",&obj0,&obj1)) SWIG_fail;
-  if (!(SWIG_IsOK((res1 = SWIG_ConvertPtr(obj0,SWIG_as_voidptrptr(&arg1),SWIGTYPE_p_int,0))))) {
-    int val; 
-    int ecode = SWIG_AsVal_int(obj0, &val);
-    if (!SWIG_IsOK(ecode)) {
-      SWIG_exception_fail(SWIG_ArgError(ecode), "in method '" "getreq_err" "', argument " "1"" of type '" "int""'");
-    }
-    temp1 = (int)(val);
-    arg1 = &temp1;
-    res1 = SWIG_AddTmpMask(ecode);
-  }
+  res1 = SWIG_ConvertPtr(obj0, &argp1,SWIGTYPE_p_int, 0 |  0 );
+  if (!SWIG_IsOK(res1)) {
+    SWIG_exception_fail(SWIG_ArgError(res1), "in method '" "getreq_err" "', argument " "1"" of type '" "int *""'"); 
+  }
+  arg1 = (int *)(argp1);
   ecode2 = SWIG_AsVal_int(obj1, &val2);
   if (!SWIG_IsOK(ecode2)) {
@@ -7829,10 +7794,4 @@
   result = (char *)getreq_err(arg1,arg2);
   resultobj = SWIG_FromCharPtr((const char *)result);
-  if (SWIG_IsTmpObj(res1)) {
-    resultobj = SWIG_Python_AppendOutput(resultobj, SWIG_From_int((*arg1)));
-  } else {
-    int new_flags = SWIG_IsNewObj(res1) ? (SWIG_POINTER_OWN |  0 ) :  0 ;
-    resultobj = SWIG_Python_AppendOutput(resultobj, SWIG_NewPointerObj((void*)(arg1), SWIGTYPE_p_int, new_flags));
-  }
   return resultobj;
 fail:
Index: /devel/5.X/resmom.py
===================================================================
--- /devel/5.X/resmom.py	(revision 334)
+++ /devel/5.X/resmom.py	(revision 335)
@@ -88,15 +88,7 @@
   """
   err = 0
-  print default_mom_res
   for res in default_mom_res:
-    print res
-    #addreq(id, res)
-    addreq_err(id, err, res) 
-    print err
-    #resp = getreq(id)
-    resp = getreq_err(err, id)
-    print "error: ", err
-
-    print resp,id
+    addreq(id, res)
+    resp = getreq(id)
     check_resp(d, resp)
 
Index: /devel/5.X/rm.h
===================================================================
--- /devel/5.X/rm.h	(revision 334)
+++ /devel/5.X/rm.h	(revision 335)
@@ -82,4 +82,5 @@
 ** to the resource monitor.
 */
+
 #ifdef __cplusplus
 extern "C"
@@ -91,9 +92,9 @@
 int downrm(int *, int);
 int configrm(int, int *, char *);
-int addreq_err(int, int *INOUT, char *);
+int addreq_err(int, int *, char *);
 int begin_rm_req(int ,int *,int );
 int addreq(int, char *);
 int allreq(char *);
-char* getreq_err(int *INOUT, int);
+char* getreq_err(int *, int);
 char* getreq(int);
 int flushreq(void);
@@ -103,2 +104,3 @@
 }
 #endif
+