Index: /trunk/CHANGES
===================================================================
--- /trunk/CHANGES	(revision 367)
+++ /trunk/CHANGES	(revision 368)
@@ -1,2 +1,7 @@
+=========== 4.6.6
+ * PBSQuery do not parse simple values. else rendering of offline not
+   goes wrong.
+   Author: Bas van der Vlies
+
 =========== 4.6.4
  * Use system Python instead of environment Python.
Index: /trunk/Makefile.rpm.in
===================================================================
--- /trunk/Makefile.rpm.in	(revision 367)
+++ /trunk/Makefile.rpm.in	(revision 368)
@@ -1,4 +1,4 @@
 PRODUCT=pbs_python
-VERSION=4.6.3
+VERSION=4.6.6
 RELEASE=1
 
Index: /trunk/configure
===================================================================
--- /trunk/configure	(revision 367)
+++ /trunk/configure	(revision 368)
@@ -1,5 +1,5 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for pbs-python 4.6.3.
+# Generated by GNU Autoconf 2.69 for pbs-python 4.6.6.
 #
 #
@@ -577,6 +577,6 @@
 PACKAGE_NAME='pbs-python'
 PACKAGE_TARNAME='pbs-python'
-PACKAGE_VERSION='4.6.3'
-PACKAGE_STRING='pbs-python 4.6.3'
+PACKAGE_VERSION='4.6.6'
+PACKAGE_STRING='pbs-python 4.6.6'
 PACKAGE_BUGREPORT=''
 PACKAGE_URL=''
@@ -619,4 +619,5 @@
 oldincludedir
 includedir
+runstatedir
 localstatedir
 sharedstatedir
@@ -684,4 +685,5 @@
 sharedstatedir='${prefix}/com'
 localstatedir='${prefix}/var'
+runstatedir='${localstatedir}/run'
 includedir='${prefix}/include'
 oldincludedir='/usr/include'
@@ -936,4 +938,13 @@
     silent=yes ;;
 
+  -runstatedir | --runstatedir | --runstatedi | --runstated \
+  | --runstate | --runstat | --runsta | --runst | --runs \
+  | --run | --ru | --r)
+    ac_prev=runstatedir ;;
+  -runstatedir=* | --runstatedir=* | --runstatedi=* | --runstated=* \
+  | --runstate=* | --runstat=* | --runsta=* | --runst=* | --runs=* \
+  | --run=* | --ru=* | --r=*)
+    runstatedir=$ac_optarg ;;
+
   -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
     ac_prev=sbindir ;;
@@ -1073,5 +1084,5 @@
 		datadir sysconfdir sharedstatedir localstatedir includedir \
 		oldincludedir docdir infodir htmldir dvidir pdfdir psdir \
-		libdir localedir mandir
+		libdir localedir mandir runstatedir
 do
   eval ac_val=\$$ac_var
@@ -1186,5 +1197,5 @@
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures pbs-python 4.6.3 to adapt to many kinds of systems.
+\`configure' configures pbs-python 4.6.6 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
@@ -1226,4 +1237,5 @@
   --sharedstatedir=DIR    modifiable architecture-independent data [PREFIX/com]
   --localstatedir=DIR     modifiable single-machine data [PREFIX/var]
+  --runstatedir=DIR       modifiable per-process data [LOCALSTATEDIR/run]
   --libdir=DIR            object code libraries [EPREFIX/lib]
   --includedir=DIR        C header files [PREFIX/include]
@@ -1247,5 +1259,5 @@
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of pbs-python 4.6.3:";;
+     short | recursive ) echo "Configuration of pbs-python 4.6.6:";;
    esac
   cat <<\_ACEOF
@@ -1319,5 +1331,5 @@
 if $ac_init_version; then
   cat <<\_ACEOF
-pbs-python configure 4.6.3
+pbs-python configure 4.6.6
 generated by GNU Autoconf 2.69
 
@@ -1336,5 +1348,5 @@
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by pbs-python $as_me 4.6.3, which was
+It was created by pbs-python $as_me 4.6.6, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
@@ -2431,5 +2443,5 @@
 # values after options handling.
 ac_log="
-This file was extended by pbs-python $as_me 4.6.3, which was
+This file was extended by pbs-python $as_me 4.6.6, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
@@ -2484,5 +2496,5 @@
 ac_cs_config="`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`"
 ac_cs_version="\\
-pbs-python config.status 4.6.3
+pbs-python config.status 4.6.6
 configured by $0, generated by GNU Autoconf 2.69,
   with options \\"\$ac_cs_config\\"
Index: /trunk/configure.in
===================================================================
--- /trunk/configure.in	(revision 367)
+++ /trunk/configure.in	(revision 368)
@@ -2,5 +2,5 @@
 
 AC_PREREQ([2.69])
-AC_INIT([pbs-python], [4.6.3])
+AC_INIT([pbs-python], [4.6.6])
 AC_CONFIG_SRCDIR([src/C++/pbs_wrap.cxx])
 
Index: /trunk/debian/changelog
===================================================================
--- /trunk/debian/changelog	(revision 367)
+++ /trunk/debian/changelog	(revision 368)
@@ -1,2 +1,8 @@
+pbs-python (4.6.6-1) UNRELEASED; urgency=medium
+
+  * Fixed a problem that "offline" notes were not displayed correctly 
+
+ -- Bas van der Vlies <bas.vandervlies@surfsara.nl>  Mon, 22 Oct 2018 10:59:55 +0200
+
 pbs-python (4.6.5-1) UNRELEASED; urgency=low
 
Index: /trunk/examples/sara_nodes.py.in
===================================================================
--- /trunk/examples/sara_nodes.py.in	(revision 367)
+++ /trunk/examples/sara_nodes.py.in	(revision 368)
@@ -242,4 +242,8 @@
                 add_dict['date'] = None
 
+        elif len(note) == 1:
+            ## There is a note but not set by admin
+            add_dict['date'] = add_dict['date_add'] = add_dict['date_edit'] = add_dict['username'] = add_dict['ticket'] = ''
+            add_dict['note'] = ",".join(note)
         else:
             ## If there is no note, just set the variables with a empty string
@@ -308,4 +312,5 @@
                     w_ticket = 6
                 show_fields.append([w_ticket,'Ticket'])
+        if w_date > 0 or w_note > 0:
             show_fields.append([w_note,'Note'])
 
@@ -327,4 +332,5 @@
             elif w_ticket > 0:
                 show_line_fields.append([w_ticket,''])
+        if w_date > 0 or w_note > 0:
             show_line_fields.append([w_note,line['note']])
 
Index: /trunk/release.json
===================================================================
--- /trunk/release.json	(revision 367)
+++ /trunk/release.json	(revision 368)
@@ -1,7 +1,7 @@
 {
-  "version": "4.6.5",
-  "changes": "fixed incorrect rendering when no tickets are specified",
+  "version": "4.6.6",
+  "changes": "PBSQuery do not parse simple values, offline note is now rendered properly",
   "state": "stable",
   "scope": "bug fixes",
-  "download": "ftp://ftp.surfsara.nl/pub/outgoing/pbs_python-4.6.5.tar.gz"
+  "download": "ftp://ftp.surfsara.nl/pub/outgoing/pbs_python-4.6.6.tar.gz"
 }
Index: /trunk/src/PBSQuery.py
===================================================================
--- /trunk/src/PBSQuery.py	(revision 367)
+++ /trunk/src/PBSQuery.py	(revision 368)
@@ -200,8 +200,9 @@
 
                     new[key] = a.value
-
                 else:
                     # Don't split , between ()
                     values = [x[1] for x in REG_SPLIT_COMMA_BRACE.findall(a.value)]
+                    if len(values) == 1:
+                        values = [ a.value ]
 
                     # We must creat sub dicts, only for specified